Debian Sid figyelmeztetés: base-passwd (3.2.2)

Címkék

Aki Debian Sid -et (unstable) használ és még nem upgradelte a base-passwd csomagját a 3.2.2 -re az tegye "hold" -ra. A kérdéses csomag kicsit furcsa dolgokat művel. Björn Torkelsson jelezte a bug -ot először (Bug #130032) a bug tracking rendszerbe. A probléma ott jelentkezik, hogy a /etc/passwd fileban felcserélődik az UID (user ID) és a GID (group ID), ami ugye nem egészséges dolog.Szóval, aki még nem upgrade -lt, tegye a csomagot "hold" -ra (azt, hogy hogyan kell ebben a FAQ -ban megtalálod).




Aki már upgrade -lte, annak a következő workaround áll rendelkezésére:

$ awk -F: '{print $1 ":" $2 ":" $4 ":" $3 ":" $5 ":" $6 ":" $7}' /etc/passwd > passwd.fixed